- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
Sim::CoupledActuator Class Reference

CoupledActuator is a class defining a coupled motor. It is attached to several joints and can actuate them. Its command is between 0 and 1. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| CoupledActuator (class CoupledActuatorImpl *impl)
| private constructor. More...
| CoupledActuator (const CoupledActuator &other)
| copy constructor. More...
| ~CoupledActuator ()
| destructor. More...
const CoupledActuator * | reflectedSymmetric () const
| returns the reflected symmetric Actuator, and NULL if it is not defined. More...
bool | reflectedSymmetricReversed () const
| returns if the symmetric actuator is reversed w.r.t. to the current actuator, false if there is no symmetric actuator defined. More...
bool | reflectionForced () const
| returns true if the actuator is always reflected. More...
virtual int | bufferSize () const
| returns the size of the buffer of a command to the CoupledActuator in bits. More...
float | startValue () const
| returns the start value of the CoupledActuator (between 0 and 1, no unit). More...
float | minValue () const
| returns the minimal value of the CoupledActuator (between 0 and 1, no unit). More...
float | maxValue () const
| returns the maximal value of the CoupledActuator (between 0 and 1, no unit). More...
float | maxSpeed () const
| returns the maximal speed of the CoupledActuator in Hertz. More...
std::vector< std::pair< const Joint *, float > > | controlledJointAndRatios () const
| returns the controlled joints and the ratio of the rotation of the associated joint per the command. More...
Public Member Functions inherited from Sim::DCMActuator
| DCMActuator (class DCMActuatorImpl *impl)
| private constructor. More...
| DCMActuator (const DCMActuator &other)
| copy constructor. More...
| ~DCMActuator ()
| destructor More...
const std::vector< std::string > & | dcmKeys () const
| returns a vector of the strings in the DCM concerning this actuator. More...
Public Member Functions inherited from Sim::Actuator
| Actuator (class ActuatorImpl *impl)
| private constructor. More...
| Actuator (const Actuator &other)
| copy constructor. More...
| ~Actuator ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Actuator. More...
virtual const std::string & | name () const
| returns the name of the Actuator. More...
Type | type () const
| returns the Type of the Actuator. More...

## Additional Inherited Members
Public Types inherited from Sim::Actuator
enum | Type { ANGLE_MOTOR, COUPLED_MOTOR, TORQUE_MOTOR, ANGLE_SPEED_MOTOR, WHEEL_TORQUE, WHEEL_VELOCITY, LED }
| gives the type of the Actuator. More...
Public Attributes inherited from Sim::Actuator
ActuatorImpl * | a_impl
| private implementation More...

## Detailed Description

CoupledActuator is a class defining a coupled motor. It is attached to several joints and can actuate them. Its command is between 0 and 1.

Definition at line 698 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::CoupledActuator::CoupledActuator | ( | class CoupledActuatorImpl * | impl | ) |

private constructor.

Sim::CoupledActuator::CoupledActuator | ( | const CoupledActuator & | other | ) |

copy constructor.

Sim::CoupledActuator::~CoupledActuator | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::CoupledActuator::bufferSize | ( |  | ) | const
| virtual

returns the size of the buffer of a command to the CoupledActuator in bits.

Implements Sim::DCMActuator.

std::vector<std::pair<const Joint*, float> > Sim::CoupledActuator::controlledJointAndRatios | ( |  | ) | const

returns the controlled joints and the ratio of the rotation of the associated joint per the command.

float Sim::CoupledActuator::maxSpeed | ( |  | ) | const

returns the maximal speed of the CoupledActuator in Hertz.

float Sim::CoupledActuator::maxValue | ( |  | ) | const

returns the maximal value of the CoupledActuator (between 0 and 1, no unit).

float Sim::CoupledActuator::minValue | ( |  | ) | const

returns the minimal value of the CoupledActuator (between 0 and 1, no unit).

const CoupledActuator* Sim::CoupledActuator::reflectedSymmetric | ( |  | ) | const

returns the reflected symmetric Actuator, and NULL if it is not defined.

bool Sim::CoupledActuator::reflectedSymmetricReversed | ( |  | ) | const

returns if the symmetric actuator is reversed w.r.t. to the current actuator, false if there is no symmetric actuator defined.

bool Sim::CoupledActuator::reflectionForced | ( |  | ) | const

returns true if the actuator is always reflected.

float Sim::CoupledActuator::startValue | ( |  | ) | const

returns the start value of the CoupledActuator (between 0 and 1, no unit).

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h